Bug 1567515 - php-pecl-krb5-1.1.2-1.el7.x86_64 fails to install on RHEL7.5
Summary: php-pecl-krb5-1.1.2-1.el7.x86_64 fails to install on RHEL7.5
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: php-pecl-krb5
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Remi Collet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-14 17:07 UTC by Bishop Clark
Modified: 2018-05-30 15:17 UTC (History)
3 users (show)

Fixed In Version: php-pecl-krb5-1.1.2-2.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-30 15:17:28 UTC
Type: Bug


Attachments (Terms of Use)

Description Bishop Clark 2018-04-14 17:07:14 UTC
Description of problem:
php-pecl-krb5-1.1.2-1.el7.x86_64 fails to install on RHEL7.5 since libkadm5 changed its provides

# yum install php-pecl-krb5
:
Error: Package: php-pecl-krb5-1.1.2-1.el7.x86_64 (epel)
           Requires: libkadm5clnt_mit.so.8(kadm5clnt_mit_8_MIT)(64bit)
           Available: krb5-libs-1.11.3-49.el7.x86_64 (rhel-x86_64-server-7)
               libkadm5clnt_mit.so.8(kadm5clnt_mit_8_MIT)(64bit)
:

Version-Release number of selected component (if applicable):


How reproducible:
trivial

Steps to Reproduce:
1.  fresh RHEL75 install
2.  yum install epel-release
3.  yum install php-pecl-krb5

Actual results:
Dependency issues as above

Expected results:
Seamless install/upgrade bliss as usual

Additional info:


I suspect it's just a rebuild with the new dependency, but that's just a guess.

Comment 1 Carl George 2018-05-15 18:06:18 UTC
Yup, strangely enough a library soname was bumped in the same version (newer release) of libkadm5.

7.4:
# repoquery libkadm5
libkadm5-0:1.15.1-8.el7.x86_64
# repoquery --provides libkadm5 | grep clnt
libkadm5clnt_mit.so.8()(64bit)
libkadm5clnt_mit.so.8(HIDDEN)(64bit)
libkadm5clnt_mit.so.8(kadm5clnt_mit_8_MIT)(64bit)

7.5:
# repoquery libkadm5
libkadm5-0:1.15.1-19.el7.x86_64
# repoquery --provides libkadm5 | grep clnt
libkadm5clnt_mit.so.11()(64bit)
libkadm5clnt_mit.so.11(HIDDEN)(64bit)
libkadm5clnt_mit.so.11(kadm5clnt_mit_11_MIT)(64bit)

A rebuild should take care of it.

Comment 2 Fedora Update System 2018-05-23 04:12:02 UTC
php-pecl-krb5-1.1.2-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-2fa703d7b4

Comment 3 Fedora Update System 2018-05-30 15:17:28 UTC
php-pecl-krb5-1.1.2-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.